changeset 826:1a91894e37e5 draft

Merge commit '7eca34a4706e62a5cb6a64caa7114bc6c22b7103'
author Nick <nick@somerandomnick.ano>
date Sat, 17 Dec 2011 05:45:03 +0000
parents 5c9f2cda1479 (current diff) 88c2bd1a286a (diff)
children 0d88097dbad6 a4b5d72de9ce
files
diffstat 1 files changed, 7 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/scripts/git-pull	Sat Dec 17 05:45:03 2011 +0000
@@ -0,0 +1,7 @@
+#!/bin/bash
+if [ -z "$1" ]; then
+    echo './scripts/git-pull $PEER_NAME'
+    exit 1
+fi
+[ -e db/usr/"$1"/git ] && git pull `cat db/usr/"$1"/git` master
+[ -e db/usr/"$1"/git ] || echo "./git-pull: record does not exist for $1"